package com.hotent.project.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.hotent.base.entity.BaseModel;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.fasterxml.jackson.annotation.JsonProperty;
/**
 * 任务定制-成本核定头子表
 *
 * @company 山西清众科技股份有限公司
 * @author 超级管理员
 * @since 2025-10-09
 */
@ApiModel(value="CostVerifyProjectHeaders对象", description="任务定制-成本核定头子表")
public class CostVerifyProjectHeaders extends BaseModel<CostVerifyProjectHeaders> {

    private static final long serialVersionUID = 1L;
    @ApiModelProperty(value = "主键ID")
    @TableId(value = "id")
    @JsonProperty("id")
    private String id;
    
    @ApiModelProperty(value = "关联成本调查表ID")
    @TableField("survey_template_id")
    @JsonProperty("surveyTemplateId")
    private String surveyTemplateId;
    
    @ApiModelProperty(value = "字段名称")
    @TableField("field_name")
    @JsonProperty("fieldName")
    private String fieldName;
    
    @ApiModelProperty(value = "字段类型")
    @TableField("field_type")
    @JsonProperty("fieldType")
    private String fieldType;
    
    @ApiModelProperty(value = "字段类型长度")
    @TableField("field_typelen")
    @JsonProperty("fieldTypelen")
    private Integer fieldTypelen;
    
    @ApiModelProperty(value = "字段类型小数位长度")
    @TableField("field_typenointlen")
    @JsonProperty("fieldTypenointlen")
    private Integer fieldTypenointlen;
    
    @ApiModelProperty(value = "格式")
    @TableField("format")
    @JsonProperty("format")
    private String format;
    
    @ApiModelProperty(value = "是否必填")
    @TableField("is_required")
    @JsonProperty("isRequired")
    private String isRequired;
    
    @ApiModelProperty(value = "是否绑定监审期间 固定表字段")
    @TableField("is_audit_period")
    @JsonProperty("isAuditPeriod")
    private String isAuditPeriod;
    
    @ApiModelProperty(value = "是否绑定字典")
    @TableField("is_dict")
    @JsonProperty("isDict")
    private String isDict;
    
    @ApiModelProperty(value = "顺序")
    @TableField("order_num")
    @JsonProperty("orderNum")
    private String orderNum;
    
    @ApiModelProperty(value = "字典id")
    @TableField("dictid")
    @JsonProperty("dictid")
    private String dictid;
    
    @ApiModelProperty(value = "字典code值")
    @TableField("dict_code")
    @JsonProperty("dictCode")
    private String dictCode;
    
    @ApiModelProperty(value = "区域编码")
    @TableField("area_code")
    @JsonProperty("areaCode")
    private String areaCode;
    
    @ApiModelProperty(value = "区域级别")
    @TableField("area_level")
    @JsonProperty("areaLevel")
    private String areaLevel;
    
    @ApiModelProperty(value = "表类型 ：0-单表 1-固定表 2-动态表")
    @TableField("tabtype")
    @JsonProperty("tabtype")
    private Integer tabtype;
    
    @ApiModelProperty(value = "列描述")
    @TableField("column_comment")
    @JsonProperty("columnComment")
    private String columnComment;
    
    @ApiModelProperty(value = "列类型")
    @TableField("column_type")
    @JsonProperty("columnType")
    private String columnType;
    
    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    @JsonProperty("createTime")
    private LocalDateTime createTime;
    
    @ApiModelProperty(value = "创建人")
    @TableField("create_by")
    @JsonProperty("createBy")
    private String createBy;
    
    @ApiModelProperty(value = "更新时间")
    @TableField("update_time")
    @JsonProperty("updateTime")
    private LocalDateTime updateTime;
    
    @ApiModelProperty(value = "更新人")
    @TableField("update_by")
    @JsonProperty("updateBy")
    private String updateBy;
    
    @ApiModelProperty(value = "版本id")
    @TableField("version_id")
    @JsonProperty("versionId")
    private String versionId;
    
    @ApiModelProperty(value = "字段拼音名称")
    @TableField("field_ename")
    @JsonProperty("fieldEname")
    private String fieldEname;
    
    @ApiModelProperty(value = "任务id")
    @TableField("task_id")
    @JsonProperty("taskId")
    private String taskId;

    /**
     * 隐藏字段显示 0-隐藏字段 1-显示字段
     */
    @ApiModelProperty(value = "隐藏字段显示 0-隐藏字段 1-显示字段")
    @TableField("showVisible")
    @JsonProperty("showVisible")
    private String showVisible;

    @ApiModelProperty(value = "原模板的主键ID")
    @TableField("orgin_survey_template_id")
    @JsonProperty("orginSurveyTemplateId")
    private String  orginSurveyTemplateId;

    @ApiModelProperty(value = "原模板表头主键ID")
    @TableField("orgin_id")
    @JsonProperty("orginId")
    private String orginId;

    @ApiModelProperty(value = "项目id")
    @TableField("project_id")
    @JsonProperty("projectId")
    private String projectId;

    public String getOrginSurveyTemplateId() {
        return orginSurveyTemplateId;
    }

    public void setOrginSurveyTemplateId(String orginSurveyTemplateId) {
        this.orginSurveyTemplateId = orginSurveyTemplateId;
    }

    public String getOrginId() {
        return orginId;
    }

    public void setOrginId(String orginId) {
        this.orginId = orginId;
    }

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public String getShowVisible() {
        return showVisible;
    }

    public void setShowVisible(String showVisible) {
        this.showVisible = showVisible;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }
    public String getSurveyTemplateId() {
        return surveyTemplateId;
    }

    public void setSurveyTemplateId(String surveyTemplateId) {
        this.surveyTemplateId = surveyTemplateId;
    }
    public String getFieldName() {
        return fieldName;
    }

    public void setFieldName(String fieldName) {
        this.fieldName = fieldName;
    }
    public String getFieldType() {
        return fieldType;
    }

    public void setFieldType(String fieldType) {
        this.fieldType = fieldType;
    }
    public Integer getFieldTypelen() {
        return fieldTypelen;
    }

    public void setFieldTypelen(Integer fieldTypelen) {
        this.fieldTypelen = fieldTypelen;
    }
    public Integer getFieldTypenointlen() {
        return fieldTypenointlen;
    }

    public void setFieldTypenointlen(Integer fieldTypenointlen) {
        this.fieldTypenointlen = fieldTypenointlen;
    }
    public String getFormat() {
        return format;
    }

    public void setFormat(String format) {
        this.format = format;
    }
    public String getIsRequired() {
        return isRequired;
    }

    public void setIsRequired(String isRequired) {
        this.isRequired = isRequired;
    }
    public String getIsAuditPeriod() {
        return isAuditPeriod;
    }

    public void setIsAuditPeriod(String isAuditPeriod) {
        this.isAuditPeriod = isAuditPeriod;
    }
    public String getIsDict() {
        return isDict;
    }

    public void setIsDict(String isDict) {
        this.isDict = isDict;
    }
    public String getOrderNum() {
        return orderNum;
    }

    public void setOrderNum(String orderNum) {
        this.orderNum = orderNum;
    }
    public String getDictid() {
        return dictid;
    }

    public void setDictid(String dictid) {
        this.dictid = dictid;
    }
    public String getDictCode() {
        return dictCode;
    }

    public void setDictCode(String dictCode) {
        this.dictCode = dictCode;
    }
    public String getAreaCode() {
        return areaCode;
    }

    public void setAreaCode(String areaCode) {
        this.areaCode = areaCode;
    }
    public String getAreaLevel() {
        return areaLevel;
    }

    public void setAreaLevel(String areaLevel) {
        this.areaLevel = areaLevel;
    }
    public Integer getTabtype() {
        return tabtype;
    }

    public void setTabtype(Integer tabtype) {
        this.tabtype = tabtype;
    }
    public String getColumnComment() {
        return columnComment;
    }

    public void setColumnComment(String columnComment) {
        this.columnComment = columnComment;
    }
    public String getColumnType() {
        return columnType;
    }

    public void setColumnType(String columnType) {
        this.columnType = columnType;
    }
    public LocalDateTime getCreateTime() {
        return createTime;
    }

    public void setCreateTime(LocalDateTime createTime) {
        this.createTime = createTime;
    }
    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }
    public LocalDateTime getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(LocalDateTime updateTime) {
        this.updateTime = updateTime;
    }
    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }
    public String getVersionId() {
        return versionId;
    }

    public void setVersionId(String versionId) {
        this.versionId = versionId;
    }
    public String getFieldEname() {
        return fieldEname;
    }

    public void setFieldEname(String fieldEname) {
        this.fieldEname = fieldEname;
    }
    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "CostVerifyProjectHeaders{" +
                "id='" + id + '\'' +
                ", surveyTemplateId='" + surveyTemplateId + '\'' +
                ", fieldName='" + fieldName + '\'' +
                ", fieldType='" + fieldType + '\'' +
                ", fieldTypelen=" + fieldTypelen +
                ", fieldTypenointlen=" + fieldTypenointlen +
                ", format='" + format + '\'' +
                ", isRequired='" + isRequired + '\'' +
                ", isAuditPeriod='" + isAuditPeriod + '\'' +
                ", isDict='" + isDict + '\'' +
                ", orderNum='" + orderNum + '\'' +
                ", dictid='" + dictid + '\'' +
                ", dictCode='" + dictCode + '\'' +
                ", areaCode='" + areaCode + '\'' +
                ", areaLevel='" + areaLevel + '\'' +
                ", tabtype=" + tabtype +
                ", columnComment='" + columnComment + '\'' +
                ", columnType='" + columnType + '\'' +
                ", createTime=" + createTime +
                ", createBy='" + createBy + '\'' +
                ", updateTime=" + updateTime +
                ", updateBy='" + updateBy + '\'' +
                ", versionId='" + versionId + '\'' +
                ", fieldEname='" + fieldEname + '\'' +
                ", taskId='" + taskId + '\'' +
                ", showVisible='" + showVisible + '\'' +
                ", orginSurveyTemplateId='" + orginSurveyTemplateId + '\'' +
                ", orginId='" + orginId + '\'' +
                ", projectId='" + projectId + '\'' +
                '}';
    }
}
